// SynTrace.h: interface for the SynTrace class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SYNTRACE_H__D75FC0A4_DFF3_11D3_B969_10FD4FC10127__INCLUDED_)
#define AFX_SYNTRACE_H__D75FC0A4_DFF3_11D3_B969_10FD4FC10127__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "WholeDistrib.h"
class SynTrace  
{
protected:
  VecPWholeDistrib m_vecPWholeDistrib;
  int m_numTrace;
  int m_seed;
  char m_sTraceName[255];
public:
	void GenTrace();
	void ReadConfig(char sFileName[]);
	SynTrace(int seed=1);
	virtual ~SynTrace();

};

#endif // !defined(AFX_SYNTRACE_H__D75FC0A4_DFF3_11D3_B969_10FD4FC10127__INCLUDED_)
