// Interval.h: interface for the Interval class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_INTERVAL_H__01843E93_DCBD_11D3_9E5E_002035681F74__INCLUDED_)
#define AFX_INTERVAL_H__01843E93_DCBD_11D3_9E5E_002035681F74__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ScanTrace.h"

class Interval : public ScanTrace  
{
protected:
  double mean, sum;
  int num;
public:
  Interval(FILE *fout):ScanTrace(fout)
  {
    sum=0;
    num=0;
  };
	virtual ~Interval()
  {
    printf("Deleting Interval...\n");

    fprintf(m_fout,"Mean of interval: %lf\n",sum/num);
  };

  virtual void pre_process(TraceRec &rec)
  {
  };

  virtual void process_one(TraceRec &rec)
  {
    num++;
    sum += rec.interval;
  };
};

#endif // !defined(AFX_INTERVAL_H__01843E93_DCBD_11D3_9E5E_002035681F74__INCLUDED_)
