// ScanTrace.h: interface for the ScanTrace class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SCANTRACE_H__580B6DF1_D8BE_11D3_9E5D_002035681F74__INCLUDED_)
#define AFX_SCANTRACE_H__580B6DF1_D8BE_11D3_9E5D_002035681F74__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class ScanTrace  
{
protected:
  FILE *m_fout;
public:
	ScanTrace(FILE *fout)
  {
    m_fout = fout;
  };
  virtual ~ScanTrace() {} ;
  virtual void pre_process(TraceRec &rec)=0;
  virtual void process_one(TraceRec &rec)=0;
};

typedef ScanTrace* PScanTrace;
typedef vector<PScanTrace> VectorPScanTrace;

#endif // !defined(AFX_SCANTRACE_H__580B6DF1_D8BE_11D3_9E5D_002035681F74__INCLUDED_)
