cd '\wwg\815\ass1\tracechar'

#set terminal postscript
##set terminal windows
#set title "Corralation between file size and popularity"
#set xlabel "Size"
#set ylabel "Popularity"
#set nologscale y
#set nologscale x
#set output "size_freq_dist.eps"
#plot [][] "size_freq_dist.txt" notitle w l
#
#set terminal postscript
##set terminal windows
#set title "Corralation between file size and popularity"
#set xlabel "Size"
#set ylabel "Popularity"
#set nologscale y
#set nologscale x
#set output "size_freq_cdf.eps"
#plot [][] "size_freq_cdf.txt" notitle w l

#set terminal postscript eps
#set title "Inter-arrival time PDF distribution"
#set xlabel "Inter-arrival time (ms)"
#set ylabel "Probability Density Function"
#set xtics ( "50"  50000, "100" 100000, \
#           "150" 150000, "200" 200000, \
#           "250" 250000, "300" 300000, \
#           "350" 350000, "400" 400000, \
#           "450" 450000)
#set format y "%g"
#set format x "%g"
#set logscale y
#set nologscale x
#set key right top
#set output "intervalpdf.eps"
#e=2.71828182845
#a=15471
#plot [:450000][] "intervalpdf.txt" title "" with p
##, 1/a*e**(-x/a) w l

#set terminal postscript eps
#set title "Inter-arrival time PDF distribution"
#set xlabel "Inter-arrival time (ms)"
#set ylabel "Probability Density Function"
#set xtics ( "50"  50000, "100" 100000, \
#           "150" 150000, "200" 200000, \
#           "250" 250000, "300" 300000, \
#           "350" 350000, "400" 400000, \
#           "450" 450000)
#set format y "%g"
#set format x "%g"
#set logscale y
#set nologscale x
#set key right top
#set output "intervalpdf.eps"
#e=2.71828182845
#a=15471
#plot [:450000][] "intervalpdf.txt" title "" with p
##, 1/a*e**(-x/a) w l

#set terminal postscript eps
#set title "Distribution"
#set xlabel "Popularity rank"
#set ylabel "Size"
#set nologscale y
#set nologscale x
#set output "obj_size.eps"
#plot [0:5000][] "obj_size.txt" t "Size distribution" w l

#set terminal postscript eps
#set title 
#set xlabel "File size (bytes)"
#set ylabel "Cumulative Frequency"
#set nologscale y
#set nologscale x
#set output "filesize1e4.eps"
#plot [178:1e4][] "obj_size_cdf.txt" notitle w l

#set terminal postscript eps
#set title "Popularity of documents (log-log scale)"
#set xlabel "Rank of Document"
#set ylabel "Frequency of Reference"
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#b = 1.664897
#k = 7.203693
#set key right top
#set output "objiddist.eps"
#plot [][:1e5] "objiddist.txt" title "" with p
##, 10**k/x**b w l

#set terminal postscript eps
#set title ""
#set xlabel "File Size (Bytes)"
#set ylabel "log10(P[X > x])"
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#set key right top
#set output "size_llcd.eps"
#b=1.438118
#k=5.370511
#plot [][:2] "size_llcd.txt" title "Empirical Trace" with l, 10**k/x**b title "Pareto Distribution (a = -1.43, k = 10,000)" w l 
##Slope = -1.438118
##Y-Intercept = 5.370511
##Rsquare = 0.967320

#set terminal postscript eps
#set title "Size distribution"
#set xlabel "Size"
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set logscale y
#set nologscale x
#set key right bottom
#set output "sizepdf10000.eps"
#plot [:10000][] "sizepdf.txt" title "" with p
#

#set terminal postscript eps
#set title "Size distribution"
#set xlabel "Size"
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#set key right bottom
#b=2.129178
#k=7.876867
#set output "size1-cdf.eps"
#plot [][:1.5] "size1-cdf.txt" title "Transfered size" with l, k-x*b w l 
##Slope = -2.129178
##Y-Intercept = 7.876867
##Rsquare = 0.964584

#set terminal postscript eps
#set title "Size distribution"
#set xlabel "Size"
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set nologscale y
#set nologscale x
#set key right bottom
#b=2.129178
#k=7.876867
#set output "size1-cdflog.eps"
#plot [][:1.5] "size1-cdflog.txt" title "Transfered size" with l, k-x*b w l 
##Slope = -2.129178
##Y-Intercept = 7.876867
##Rsquare = 0.964584

#set terminal postscript eps
#set title "Size distribution"
#set xlabel "Size"
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#set key right bottom
#set output "sizedist.eps"
#plot [][]"sizedist.txt" title "" with impulse

#set terminal postscript eps
#set title "Client Distribution"
#set xlabel ""
#set ylabel ""
#set logscale y
#set nologscale x
#set output "clientidpdf.eps"
#plot [][] "clientidpdf.txt" t "Client ID distribution" with l

#set terminal postscript eps
#set title "Concentration of References"
#set xlabel "Fraction of Files (Sorted by Reference Count"
#set ylabel "Cumulative Frequency"
#set format y "%g"
#set format x "%g"
#set nologscale y
#set nologscale x
#set key right bottom
#set output "objidnorcdf.eps"
#plot [0:1][0:1]"objidnorcdf.txt" notitle with l

#set terminal postscript eps
#set title "Concentration of References"
#set xlabel "Fraction of Files (Sorted by Reference Count)"
#set ylabel "Cumulative Frequency"
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#set key right bottom
#set output "objidreqcdf.eps"
#plot [][]"objidreqcdf.txt" notitle with l

set terminal postscript eps
set title 
set xlabel "Rank of Documents"
set ylabel "Cumulative Density Function"
set format y "%g"
set format x "%g"
set nologscale y
set nologscale x
set key right bottom
set output "objidreqcdf15.eps"
plot [1:15][]"objidreqcdf.txt" notitle with l

#set terminal postscript eps
#set title "File Size Distributions"
#set xlabel "File Size (Bytes)"
#set ylabel "Cumulative Frequency"
#set nologscale y
#set logscale x
#set key right bottom
#set output "filesize.eps"
#plot "sizereqcdf.txt" t "Reference Counts" with l,\
#     "obj_size_cdf.txt" t "File size distributio" w l,\
#     "sizebytecdf.txt" title "Bytes Transferred" with l
     
#set terminal postscript eps
#set title "Client ID Distribution"
#set xlabel "Client Request Frequency Rank"
#set ylabel "Cumulative Frequency"
#set logscale x
#set logscale y
#set output "clientidreqcdf.eps"
#plot [][] "clientidreqcdf.txt" notitle with l
#
#set terminal postscript eps
#set title "Client ID Distribution"
#set xlabel "Fraction of Files(Sorted by Request Count)"
#set ylabel "Cumulative Frequency"
#set nologscale x
#set nologscale y
#set output "clientidnorcdf.eps"
#plot [0:1][0:1] "clientidnorcdf.txt" notitle with l

#set terminal postscript eps
#set title "Service Time PDF"
#set xlabel "Service Time (us)"
#set ylabel "Probobility Density Function"
#set key top right
#set logscale y
#set logscale x
#set output "servicetimepdf.eps"
#plot "servicetimepdf.txt" notitle with p

#set terminal postscript eps
#set title "Service Time Distribution"
#set xlabel "Service Time (us)"
#set ylabel "Frequency"
#set key top right
#set logscale y
#set logscale x
#set output "servicetimedist.eps"
#plot "servicetimedist.txt" notitle with p


















#set terminal postscript eps
#set title "Size and ServiceTime"
#set xlabel "Size"
#set ylabel "Service Time"
#set nologscale y
#set nologscale x
#set output "size_and_srv.eps"
#set key right top
#plot [:6e4][:2e7] "size_and_srv.txt" t "" w p
#     
#set terminal postscript eps
#set title "ServiceTime/Size distribution"
#set xlabel ""
#set ylabel ""
#set logscale y
#set nologscale x
#set output "srv_sizedist.eps"
#set key right top
#plot "srv_size.txt" t "ServiceTime/Size/100" w boxes

set output "temp.png"
quit
