cd '\wwg\815\ass1\char2'

#set terminal postscript eps
#set title "Client Distribution"
#set xlabel "Client reference rank"
#set ylabel "Number of references"
#set logscale y
#set logscale x
#set key right top
#set output "clientiddistll.eps"
#plot [][] "clientiddist.txt" t "Synthetic" with l,\
#          "\\wwg\\815\\ass1\\tracechar\\clientiddist.txt" title "Trace" with l
#
#set terminal postscript eps
#set title "Client ID Distribution"
#set xlabel ""
#set ylabel ""
#set logscale x
#set nologscale y
#set key right bottom
#set output "clientidreqcdf.eps"
#plot "clientidreqcdf.txt" title "Synthetic" with l,\
#          "\\wwg\\815\\ass1\\tracechar\\clientidreqcdf.txt" title "Empirical" with l

#set terminal postscript eps
#set title 
#set xlabel "Client Reference Frequency Rank"
#set ylabel "Probability Density Function"
#set logscale y
#set logscale x
#set key right top
#set output "clientidpdf.eps"
#plot [][] "clientidpdf.txt" t "Synthetic" with l,\
#          "\\wwg\\815\\ass1\\tracechar\\clientidpdf.txt" title "Empirical" with l

#set terminal postscript eps
#set title "Client ID Distribution"
#set xlabel "Fraction of Files(Sorted by Request Count)"
#set ylabel "Cumulative Frequency"
#set nologscale x
#set nologscale y
#set key right bottom
#set output "clientidnorcdf.eps"
#plot [0:1][0:1] "clientidnorcdf.txt" t "Synthetic" with l,\
#          "\\wwg\\815\\ass1\\tracechar\\clientidnorcdf.txt" title "Trace" with l

#set terminal postscript eps
#set title ""
#set xlabel "Transfer File Size"
#set ylabel "log10(P[X > x])"
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#set key right top
#set output "size_llcd.eps"
#b=1.438118
#k=5.370511
#plot [][:2] "size_llcd.txt" t "Synthetic" w l,\
#            10**k/x**b title "Pareto Distribution (a = -1.43, k = 10,000)" w l 
##            "\\wwg\\815\\ass1\\tracechar\\size_llcd.txt" title "Empirical Trace" with l, \
##Slope = -1.438118
##Y-Intercept = 5.370511
##Rsquare = 0.967320

#set terminal postscript eps
#set title ""
#set xlabel "File Size (Bytes)"
#set ylabel "log10(P[X > x])"
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#set key right top
#set output "model_size_llcd.eps"
#plot [][:2] "size_llcd.txt" t "Model" w l,\
#            "\\wwg\\815\\ass1\\tracechar\\size_llcd.txt" title "Empirical" with l
##Slope = -1.438118
##Y-Intercept = 5.370511
##Rsquare = 0.967320

#set terminal postscript eps
#set title "Popularity of documents"
#set title
#set xlabel "Rank of Documents"
#set ylabel "Frequency of References"
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#b = 1.244165
#k =  6.291935
#set key right top
#set output "objiddist.eps"
#plot [][:75000]   \
#            "objiddist.txt" title "Synthetic" with p, \
#            "\\wwg\\815\\ass1\\tracechar\\objiddist.txt" t "Empirical" with p
##            10**k/x**b t "Slope=-1.24, k=6.29" w l, \
##Rsquare = 0.989037

#set terminal postscript eps
#set title "Popularity of documents"
#set xlabel ""
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#b = 1.19
##k =  6.291935
#m = 56115 - 15
#k = (1-b)/(m**(1-b)-1)
#set key right top
#set output "objidpdf.eps"
##plot [][] "objidpdf.txt" title "Model" with l, 10**k/x**b w l, \
##            "\\wwg\\815\\ass1\\tracechar\\objidpdf.txt" title "Trace" with l

#set terminal windows
#set logscale y
#set logscale x
#b = 1.66
#m = 56115 - 15
#k = (1-b)/(m**(1-b)-1)
#m = 4067179
#k = 6.291935 / m
#PDF
#plot [1:m][] (1-b)/( (x**b)*(m**(1-b)-1) ),\
#            "\\wwg\\815\\ass1\\tracechar\\objidpdf.txt" title "Trace" with l

#CDF
#plot [0.1:m][] k/(1-b)*(x**(1-b)-1),\
#            "\\wwg\\815\\ass1\\tracechar\\objidreqcdf.txt" title "Trace" with l

#CDF reverse
#plot [][] (x*(1-b)/k + 1)**(b-1)


#plot [1:][] 10**k/(x**b)

#set terminal postscript eps
#set title "Inter-arrival time distribution"
#set xlabel ""
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set logscale y
#set nologscale x
#set key right top
#set output "intervalpdf.eps"
#e=2.71828182845
#a=15471
#plot [:450000][] "intervalpdf.txt" title "Syn trace" with l,\
#            "\\wwg\\815\\ass1\\tracechar\\intervalpdf.txt" title "Trace" with l, 1/a*e**(-x/a) w l

#set terminal postscript eps
#set title 
#set xlabel "Inter-arrival Time (ms)"
#set ylabel "Cumulative Density Function"
#set format y "%g"
#set format x "%g"
#set nologscale y
#set logscale x
#set xtics ("1" 1000, "10" 10000 , "100" 100000)
#set key right bottom
#set output "intervalreqcdf.eps"
#e=2.71828182845
#a=15471
#plot [1000:450000][] "intervalreqcdf.txt" title "Synthetic" with l,\
#            "\\wwg\\815\\ass1\\tracechar\\intervalReqCdf.txt" title "Empirical" with l
##            1/a*e**(-x/a) w l

#set terminal postscript eps
#set title "Inter-arrival time distribution"
#set xlabel ""
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set logscale y
#set nologscale x
#set key right top
#set output "intervaldist.eps"
#e=2.71828182845
#a=15471
#plot [:450000][] "intervaldist.txt" title "Syn trace" with l,\
#            "\\wwg\\815\\ass1\\tracechar\\intervaldist.txt" title "Trace" with l
##, 1/a*e**(-x/a) w l

#set terminal postscript eps
#set title "Size time distribution"
#set xlabel ""
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#set key right top
#set output "sizepdf.eps"
#e=2.71828182845
#a=15471
#plot [][] "sizepdf.txt" title "Syn trace" with l,\
#            "\\wwg\\815\\ass1\\tracechar\\sizepdf.txt" title "Trace" with l
##, 1/a*e**(-x/a) w l

#set terminal postscript eps
#set title "Size distribution"
#set xlabel "Size"
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#set key right bottom
#set output "size1-cdf.eps"
#plot [][] "size1-cdf.txt" title "" with l
#
#set terminal postscript eps
#set title "Size distribution"
#set xlabel "Size"
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set nologscale y
#set logscale x
#set key right bottom
#set output "size1-cdflog.eps"
#plot [][] "size1-cdflog.txt" title "" with l

#set terminal postscript eps
#set title "Size distribution"
#set xlabel "Size"
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#set key right bottom
#set output "sizedist.eps"
#plot [][]"sizedist.txt" title "" with impulse

#set terminal postscript eps
#set title "Popularity of documents"
#set xlabel ""
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set logscale y
#set logscale x
#set key right bottom
#set output "objidpdf.eps"
#plot [][] "objidpdf.txt" title "" with l

#set terminal postscript eps
#set title "Popularity of documents CDF"
#set xlabel ""
#set ylabel ""
#set format y "%g"
#set format x "%g"
#set logscale y
#set nologscale x
#set key right bottom
#set output "objidreqcdf.eps"
#plot [][]"objidreqcdf.txt" title "" with l

set terminal postscript eps
set title 
set xlabel "Transfer File Size"
set ylabel "Cumulative Density Function"
set key right bottom
set nologscale y
set logscale x
set output "filesize3.eps"
plot \
     "sizereqcdf.txt" t "Synthetic: Reference Counts" with l,\
     "obj_size_cdf.txt" t "Synthetic: File Size Distribution" w l,\
     "sizebytecdf.txt" title "Synthetic: Bytes Transfered" with l
#     "\\wwg\\815\\ass1\\tracechar\\obj_size_cdf.txt" title "Empirical" with l
     
#set terminal postscript eps
#set title "Service time distribution"
#set xlabel ""
#set ylabel ""
#set logscale y
#set logscale x
#set output "servicetimepdf.eps"
#plot "servicetimepdf.txt" with l






















#set terminal postscript eps
#set title "Size and ServiceTime"
#set xlabel "Size"
#set ylabel "Service Time"
#set nologscale y
#set nologscale x
#set output "size_and_srv.eps"
#set key right top
#plot [:6e4][:2e7] "size_and_srv.txt" t "" w p
#     
#set terminal postscript eps
#set title "ServiceTime/Size distribution"
#set xlabel ""
#set ylabel ""
#set logscale y
#set nologscale x
#set output "srv_sizedist.eps"
#set key right top
#plot "srv_size.txt" t "ServiceTime/Size/100" w boxes

set output "temp.png"
quit
