// DistribFunc.cpp: implementation of the DistribFunc class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "DistribFunc.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

DistribFunc::DistribFunc()
{

}

DistribFunc::~DistribFunc()
{

}

double DistribFunc::Exponential(double param, double rand, double param2)
{
  return -param*log(rand);
}

double DistribFunc::Zipf(double param, double rand, double param2)
{
  double b, k, m, r;
  b=param;
  m=param2;
  k=(1-b)/(pow(m,(1-b))-1);

  r = pow(rand*(1-b)/k+1, b-1)*m;
  return r;
}

double DistribFunc::Pareto(double param, double rand, double param2)
{
  return 1/pow(rand,1/param);
}

double DistribFunc::Equ(double param, double rand, double param2)
{
  return param;
}

double DistribFunc::Clientid(double param, double rand, double param2)
{
  double d;

  d=pow(10,param2);
  d=pow(rand/d,1/param);
  return d;
}
