// SingleDistrib.h: interface for the SingleDistrib class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SINGLEDISTRIB_H__D75FC0A3_DFF3_11D3_B969_10FD4FC10127__INCLUDED_)
#define AFX_SINGLEDISTRIB_H__D75FC0A3_DFF3_11D3_B969_10FD4FC10127__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "RandGen.h"

typedef class SingleDistrib  
{
protected:
  double m_from, m_to;  // the range is [from,to)
  double m_prob;  // probility of this range
  PFunc m_pfunc;
  double m_param1, m_param2;
  RandGen m_rand;
  VecDouble m_rank;
  VecDouble m_cdf;
public:
	SingleDistrib();
	virtual ~SingleDistrib();
public:
  double from() { return m_from; };
  double to() { return m_to; };
  double prob() { return m_prob; };
	void ReadConfig(char line[]);
  double next();
}* PSingleDistrib;

typedef vector<PSingleDistrib> VecPSingleDistrib;

#endif // !defined(AFX_SINGLEDISTRIB_H__D75FC0A3_DFF3_11D3_B969_10FD4FC10127__INCLUDED_)
