// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__E39EA058_DFF1_11D3_9E5E_002035681F74__INCLUDED_)
#define AFX_STDAFX_H__E39EA058_DFF1_11D3_9E5E_002035681F74__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <iostream>
#include <fstream>
#include <queue>
#include <list>
#include <map>
#include <algorithm>
#include <cassert>
#include <string>
#include <cstdarg>
#include <string.h>
#include <math.h>
#include <strstream>
#include <time.h>
#include <limits.h>
#include <float.h>

#pragma warning(disable:4786)

using namespace std;

typedef vector<int> VecInt;
typedef vector<double> VecDouble;
typedef map<int, int> MapInt2Int;

typedef double Func(double param1, double rand, double param2=0.0);
typedef Func* PFunc;

typedef int BOOL;
#define FALSE   0
#define TRUE    1

enum{
  INTERVAL=0,
  SERVICETIME,
  OBJID,
  CLIENTID,
  SIZE,
  TYPE,
  MAX
};

void InitSeed(int seed, int streamLen);
int GetSeed();

void Error(char *fmt, ...);

// read a line, ignore comment lines and empty lines
void ReadLine(ifstream &f, char line[], int len);

// return TRUE if this line only contains blank space or tabs or begin with #
BOOL IsBlank(char line[]);

// TODO: reference additional headers your program requires here

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__E39EA058_DFF1_11D3_9E5E_002035681F74__INCLUDED_)
