// WholeDistrib.h: interface for the WholeDistrib class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WHOLEDISTRIB_H__D75FC0A2_DFF3_11D3_B969_10FD4FC10127__INCLUDED_)
#define AFX_WHOLEDISTRIB_H__D75FC0A2_DFF3_11D3_B969_10FD4FC10127__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SingleDistrib.h"

#pragma warning(disable:4786)

typedef class WholeDistrib  
{
protected:
  int m_id;
  VecPSingleDistrib m_vecPSingleDistrib;
  char m_sName[255];
  RandGen m_rand;
public:
  int m_prev;
  MapInt2Int m_MapObjid;
  class WholeDistrib* m_pObjid;  
	int next();
	void ReadConfig(ifstream &fCfg);
	WholeDistrib(char sName[]);
	virtual ~WholeDistrib();

}* PWholeDistrib;

typedef vector<PWholeDistrib> VecPWholeDistrib;

#endif // !defined(AFX_WHOLEDISTRIB_H__D75FC0A2_DFF3_11D3_B969_10FD4FC10127__INCLUDED_)
