#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <iostream.h>

// purpose is to rank items of the same popularity the same.
// the input  to this program is a 2-column file in which the
// first column is the rank of a request and the second column 
// is the popularity of the request. The idea is that there are 
// many requests in which the popularities are the same but they 
// are ranked differently. This program takes all such requests
// and represent them with a single request whose rank is the
// average of their rankings and its popularity is just what their
// popularity use to be 

void main(int argc, char* argv[]) 
{
  FILE *infile;
  
 
  // open the input file to the function
  
  if((infile = fopen(argv[1],"r")) == NULL)
    {
      printf("Unable to open %s for input.\n",argv[1]);
      exit(1);
    }

  unsigned int y,x,prevx,prevy;
  fscanf(infile,"%u %u\n",&prevx,&prevy);
  double sum = prevx; 
  unsigned long int n = 1;
  while(!feof(infile))
    {
      fscanf(infile,"%u %u\n",&x,&y);
      if (y == prevy){
	  sum+= x;n++;
      } 
      else{
	 printf("%u%10u\n", (unsigned int)(sum/n), prevy);
	 sum = x; n =1; prevy =y;
      }
	 
    }
  printf("%u%10u\n", (unsigned int)(sum/n), prevy);
  fclose(infile); // close infile
  
}

